%define project_name  jbossesb-4.8Injboss-4.2.3.GA
%define project_as_version 4.2.3.GA
%define project_esb_version 4.8
%define esb jbossesb-4.8
%define jbossas jboss-4.2.3.GA


Name: jbossesb
Version: 4.8
Release: 1
Summary: JBossesb-4.8 installed in JBossas-4.2.3.GA!
BuildArch: noarch
Epoch: 1
Group: Applications/System
License: LGPL
URL: http://www.jboss.org/jbossesb
Source0: %{jbossas}.tar.gz
Source1: %{name}.init
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor: Redhat/JBoss
Packager: Younes Yahyaoui <yahyaoui@cs.tu-berlin.de>
Requires: java-1.6.0-openjdk
Requires: initscripts
Requires: shadow-utils
Requires(post): /sbin/chkconfig



%description
The JBossesb-4.8 installed in JBossas-4.2.3.GA: Enterprise Service Bus

%prep
%setup -q -n %{jbossas}


%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT/opt/%{name}-%{version}
cp -R . $RPM_BUILD_ROOT/opt/%{name}-%{version}

install -d -m 755 $RPM_BUILD_ROOT%{_initrddir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT/etc/sysconfig

echo "JBOSSESB_VERSION=%{version}" > $RPM_BUILD_ROOT/etc/sysconfig/%{name}
echo "JBOSSESB_HOME=/opt/%{name}-%{version}" >> $RPM_BUILD_ROOT/etc/sysconfig/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,%{name},%{name})
/

%pre
/usr/sbin/groupadd -r %{name} 2>/dev/null || :
/usr/sbin/useradd -c "%{name}" -r -s /bin/bash -d /opt/%{name}-%{version} -g %{name} %{name} 2>/dev/null || :


%post
/sbin/chkconfig --add %{name}
/sbin/chkconfig %{name} on


%changelog
* Thu Aug 19 2010 Younes Yahyaoui <yahyaoui@cs.tu-berlin.de> 1:4.8-1
- Initial Release
